Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class TransformedDocument

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.TransformedDocument

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:14:10+01:00",
               comments="JAXB RI v2.3.6")
    public class TransformedDocument

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Document"/>
           </sequence>
           <attribute name="WhichReference" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TransformedDocument()`

Method Summary
`DocumentType` | `getDocument()` Gets the value of the document property.
`BigInteger` | `getWhichReference()` Gets the value of the whichReference property.
`void` | `setDocument(DocumentType value)` Sets the value of the document property.
`void` | `setWhichReference(BigInteger value)` Sets the value of the whichReference property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformedDocument

    public TransformedDocument()

Method Detail

### getDocument

    public DocumentType getDocument()

  Gets the value of the document property.

  Returns:
    possible object is `DocumentType`

### setDocument

    public void setDocument(DocumentType value)

  Sets the value of the document property.

  Parameters:
    `value` - allowed object is `DocumentType`

### getWhichReference

    public BigInteger getWhichReference()

  Gets the value of the whichReference property.

  Returns:
    possible object is `BigInteger`

### setWhichReference

    public void setWhichReference(BigInteger value)

  Sets the value of the whichReference property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.